package edu.upc.essi.petrinets;

import java.util.UUID;

public class Arc {
	
	private UUID m_OID;
	private Node m_source;
	private Node m_target;
	
	public Arc(Node source, Node target){
		if((source.isPlace() && target.isTransition()) || (source.isTransition() && target.isPlace())){
			m_source = source;
			m_target = target;
			m_OID = UUID.randomUUID();
			m_source.addOutgoingArc(this);
			m_target.addIncomingArc(this);
		}
		else {
			//Throw exception
		}
	}
	
	
	public UUID getUID(){
		return m_OID;
	}
	
	public Node getSource(){
		return m_source;
	}
	
	public Node getTarget(){
		return m_target;
	}

}
