// Copyright (C) 2014 by Jorge Munoz-Gama. All rights reserved. 
// Released under the terms of the Lesser GNU General Public License (L-GPL) version 2 or later.

package org.processmininguc.balsa.models;

import java.util.List;

public interface Balsa {
	
	public List<Artifact> getArtifacts();
	
	public void addArtifact(Artifact artifact);
	
	public List<StateMachineDiagram> getSMDs();
	
	public List<ActivityDiagram> getADs();
	
	public Artifact findArtifactByName(String name);
	
}
