package org.processmininguc.balsa.models.impl.smadu;

import org.processmininguc.balsa.models.ActivityDiagram;
import org.processmininguc.balsa.models.StateMachineDiagramEffect;

import activity.Activity;
import stateMachine.Effect;

public class StateMachineDiagramEffectImpl extends Effect implements StateMachineDiagramEffect {
	
	public StateMachineDiagramEffectImpl(String name){
		super(name);
	}
	
	public StateMachineDiagramEffectImpl(String name, ActivityDiagramImpl ad){
		super(name,ad);
	}

	public String getName() {
		return super.getName();
	}
	
	public ActivityDiagram getActivityDiagram(){
		Activity act = super.getActivity();
		ActivityDiagram ad =(ActivityDiagram) act;
		return ad;
	}
	

}
