package org.processmininguc.balsa.models.impl.smadu;

import org.processmininguc.balsa.models.ActivityDiagramArc;
import org.processmininguc.balsa.models.ActivityDiagramElement;

import activity.ActivityNode;
import activity.ControlFlow;
import generic.Stereotype;

public class ActivityDiagramArcImpl extends ControlFlow implements ActivityDiagramArc {
	
	protected ActivityDiagramArcImpl(){
		super();
	}

	protected ActivityDiagramArcImpl(ActivityNode source, ActivityNode target) {
		super(source,target);
	}

	protected ActivityDiagramArcImpl(ActivityNode source, ActivityNode target, Stereotype st) {
		super(source,target,st);
	}

	protected ActivityDiagramArcImpl(ActivityNode source, ActivityNode target, Stereotype st, String guard) {
		super(source,target,st,guard);
	}
	
	public ActivityDiagramElement getSourceElement(){	
		return (ActivityDiagramElement) getSource();
		
	}
	
	public ActivityDiagramElement getTargetElement(){
		return (ActivityDiagramElement) getTarget();
	}

}
